QGIS Application - Feature request #12131
Assign no renderer to a layer - for label only layers
2015-02-04 05:16 PM - Corey Burger

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20325
Description

| am trying to create a label-only layer to show labels on another layer. However, if there are no styles shown, then the labels will not be
drawn.

Associated revisions

Revision d464{862 - 2016-04-06 12:55 PM - Nyall Dawson

[FEATURE] Null ("No symbol") renderer

Using this renderer no symbol will be drawn for features, but labeling,
diagrams and other non-symbol parts will still be shown.

Selections can still be made on the layer in the canvas and selected
features will be rendered with a default symbol. Features being edited
will also be shown.

This is intended as a handy shortcut for layers which you only want

to show labels or diagrams for, and avoids the need to render

symbols with totally transparent fill/border to achieve this.

(fix #12131)

History

#1 - 2015-02-05 01:31 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

you are probably doing it wrong, see for example this

https://www.youtube.com/watch?v=Qof4oDLxcmE

please reopen if necessary. Cheers!

#2 - 2015-02-05 09:07 AM - Corey Burger
- Status changed from Closed to Reopened

Although a low priority, | think this is a valid use case, primarily as creating discrete label-only classes is very useful at times (especially given you cannot
https://www.youtube.com/watch?v=Qof4oDLxcmE

create label classes right now).

#3 - 2015-02-07 02:07 AM - Giovanni Manghi
- Status changed from Reopened to Feedback
- Resolution deleted (invalid)

Corey Burger wrote:
Although a low priority, | think this is a valid use case, primarily as creating discrete label-only classes is very useful at times (especially given you

cannot create label classes right now).

this is not related to the subject/description of this ticket(?). Seems more a different thing (a feature request), while you can certainly create layers with "no"
symbology and use them as markers to pinpoint labels for other layers. Please leave feedback.

#4 - 2015-02-09 07:09 PM - Corey Burger

You are correct, however you have to create an empty symbology and then set it is any version of blank. Ideally, | would change the dropdown with "Single
Symbol", etc. to have "No symbology" at the bottom, to make it easy to make a label-only layer.

#5 - 2015-02-10 12:17 AM - Giovanni Manghi

Corey Burger wrote:

You are correct, however you have to create an empty symbology and then set it is any version of blank. Ideally, | would change the dropdown with
"Single Symbol", etc. to have "No symbology" at the bottom, to make it easy to make a label-only layer.

this is a good suggestion, but how it relates to this ticket title/description?

#6 - 2015-02-10 11:29 AM - Corey Burger

Sorry, that was a suggested implementation to the problem of needing to have a symbology defined for labels to show.
#7 - 2015-02-11 07:39 PM - Nathan Woodrow
- Target version set to Future Release - Nice to have

- Subject changed from Cannot create label-only layers to Assign no renderer to a layer - for layer only layers
- Category set to Symbology

| agree this would be a handy thing to have. | have updated the ticket information. Nyall and | have talked about it in the past | don't recall there being a

reason we couldn't do it.

#8 - 2015-02-11 07:39 PM - Nathan Woodrow
- Tracker changed from Bug report to Feature request
#9 - 2015-02-11 09:04 PM - Corey Burger

Should the title be "label-only layers" not "label-only layers"?

#10 - 2015-02-11 09:06 PM - Nathan Woodrow

- Subject changed from Assign no renderer to a layer - for layer only layers to Assign no renderer to a layer - for label only layers

Doh!

#11 - 2016-04-06 03:59 AM - Nyall Dawson
- Status changed from Feedback to Closed

Fixed in changeset commit:"d464f862903184e94e01e4963e82e337efc4a388".
